Collateral score
Collateral Score Batch (status and results)
Batch progress, and every result in submission order once `status` is `completed`.
Checking account...
Batch progress, and every result in submission order once status is completed.
Authorization
ApiKeyQuery key<token>
Your CarsXE API key, passed as the key query parameter.
In: query
Query Parameters
batch_id*string
Response Body
application/json
application/json
application/json
application/json
{
"success": true,
"batch_id": "string",
"status": "processing",
"total": 0,
"processed": 0,
"succeeded": 0,
"failed": 0,
"created_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z",
"results": [
{
"index": 0,
"success": true,
"result": {
"vin": "string",
"vehicle": {
"year": 0,
"make": "string",
"model": "string",
"trim": "string"
},
"current_values": {
"retail": 0,
"wholesale": 0,
"trade_in": 0,
"msrp": 0,
"confidence": "high",
"publish_date": "string"
},
"depreciation_forecast": {
"12_month": {
"months": 0,
"projected_value": 0,
"depreciation_pct": 0
},
"24_month": {
"months": 0,
"projected_value": 0,
"depreciation_pct": 0
},
"36_month": {
"months": 0,
"projected_value": 0,
"depreciation_pct": 0
},
"48_month": {
"months": 0,
"projected_value": 0,
"depreciation_pct": 0
},
"at_loan_maturity": {
"months": 0,
"projected_value": 0,
"depreciation_pct": 0
},
"base_value": "retail",
"curve_source": "model",
"curve_key": "string",
"curve_min_sample_size": 0,
"curve_refreshed_at": "2019-08-24T14:15:22Z"
},
"depreciation_velocity": {
"percentile_vs_segment": 0,
"segment": "string",
"segment_name": "string",
"annual_depreciation_pct": 0,
"peer_count": 0,
"interpretation": "string"
},
"risk_flags": {
"salvage_title": true,
"flood_damage": true,
"lemon_law_buyback": true,
"odometer_anomaly": true,
"other_title_brands": [
"string"
],
"total_loss_reported": true,
"open_recalls_high_severity": 0,
"accident_count": 0,
"total_flags": 0
},
"lending_recommendation": {
"risk_tier": "A",
"suggested_max_ltv": 120,
"manual_review_recommended": true,
"reasons": [
"string"
],
"rationale": "string",
"confidence": "high"
},
"data_gaps": [
"accident_history"
]
}
}
]
}{
"success": false,
"message": "string"
}{
"success": false,
"message": "Missing API key"
}{
"success": false,
"message": "The collateral-score API is not enabled for this account."
}